.filter {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  max-width: 1320px;
  margin: auto;
}

.container {
  display: flex;
  flex-direction: row;
  max-width: 1320px;
  margin: auto;
  box-sizing: border-box;
  color: white;
  padding-bottom: 3rem;
  min-height: 100%;
}

.no-results {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: center;
}

.skeleton-image {
  background: #1b2a3b;
  img {
    height: 0;
  }
}

.row {
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(auto-fit, calc((100% / 3.2)));
  justify-content: center;
  width: 100%;
  box-sizing: border-box;
}

img {
  border-radius: 2%;
  width: 185px;
  box-sizing: border-box;
  object-fit: cover;
  height: 100%;
}

.card {
  display: flex;
  flex-direction: row;
  height: 265px;
  box-shadow: 0 10px 2px -2px #081420;
  border-radius: 2%;
  cursor: pointer;
}

@media (min-width: 2200px) {
  .container {
    max-width: 2100px;
  }
  .row {
    grid-template-columns: repeat(auto-fit, 500px);
  }
}

@media (min-width: 1025px) and (max-width: 2119px) {
  .container {
    max-width: 1000px;
  }
  .row {
    grid-template-columns: repeat(auto-fit, 450px);
  }
}

@media (min-width: 769px) and (max-width: 1024px) {
  .container {
    max-width: 900px;
  }
  .row {
    grid-template-columns: repeat(auto-fit, 400px);
  }
}

@media (min-width: 426px) and (max-width: 768px) {
  .container {
    max-width: 426px;
  }
  .row {
    grid-template-columns: repeat(auto-fit, 420px);
  }
}

@media (min-width: 375px) and (max-width: 425px) {
  .filter {
    max-width: 350px;
  }
  mat-form-field {
    width: 170px;
  }
  .container {
    max-width: 370px;
  }
  .row {
    grid-template-columns: repeat(auto-fit, 170px);
  }
}

@media (max-width: 374px) {
  mat-form-field {
    width: 100%;
  }
  .container {
    max-width: 300px;
  }
  .row {
    grid-template-columns: repeat(auto-fit, 300px);
  }
  img {
    width: 100% !important;
  }
}

.image-title {
  position: relative;
  height: 100%;
}

.title {
  position: absolute;
  box-sizing: border-box;
  width: 100%;
  bottom: 0 !important;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 10px;
  font-family: Overpass;
  font-weight: 400;
}

.title-romaji {
  font-size: 14px;
  margin-bottom: 5px;
}

.title-english {
  font-size: 12px;
  margin-bottom: 10px;
  font-style: italic;
}

.title-studio {
  font-size: 13px;
}

.right {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.content {
  border-radius: 0 2% 0 0;
  padding: 1rem;
  background: #151f2e;
  height: 190px;
  display: flex;
  flex-direction: column;
  color: #8ba0b2;
  overflow: hidden;
}

.content > * {
  margin: 1px 0;
}

.content:hover {
  overflow-y: auto;
}

.content #description {
  font-size: 10px;
  margin-top: 1rem;
}

.content::-webkit-scrollbar {
  width: 5px;
  border-radius: 6px;
}

.content::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgb(153, 153, 153);
  border-radius: 10px;
}

.content::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgb(153, 153, 153);
}

.first-row {
  display: flex;
  justify-content: space-between;
}

.airing-in {
  font-size: 12px;
  font-weight: 400;
}

.time-until-airing {
  font-size: 16px;
  font-weight: 600;
}

.show-episode {
  font-size: 12px;
}

mat-icon {
  vertical-align: middle;
  margin-right: 5px;
}

.genres {
  display: flex;
  flex-direction: row;
  align-items: center !important;
  margin: auto 0 auto 1rem;
  background: #0a1622;
}

.genre {
  font-size: 12px;
  padding: 0 10px;
  border-radius: 10px;
  font-weight: bold;
  font-family: Overpass;
}

.genre:first-child {
  margin-right: 12px;
}
